# class PG::BinaryDecoder::TimestampUtc

Convenience classes for timezone options

### Public Class Methods

new(hash={}, **kwargs) click to toggle source
Calls superclass method `PG::Coder::new`

    # File lib/pg/binary_decoder/timestamp.rb, line 7
    def initialize(hash={}, **kwargs)
            warn("PG::Coder.new(hash) is deprecated. Please use keyword arguments instead! Called from #{caller.first}", category: :deprecated) unless hash.empty?
            super(**hash, **kwargs, flags: PG::Coder::TIMESTAMP_DB_UTC | PG::Coder::TIMESTAMP_APP_UTC)
    end